Subject: Re: [PATCH v3 4/5] clone: add a --no-tags-submodules to pass --no-tags to submodules

From: Brandon Williams <[email-masked]>
Date: Thu, 27 Apr 2017 15:19:31 -0700

On 04/27, Stefan Beller wrote:
> On Wed, Apr 26, 2017 at 4:12 PM, Ævar Arnfjörð Bjarmason
> <[email-masked]> wrote:
> > From: Brandon Williams <[email-masked]>
> >
> > Add a --no-tags-submodules which does for --no-tags what the existing
> > --shallow-submodules does for --depth, i.e. doing:
> >
> >     git clone --recurse-submodules --no-tags --no-tags-submodules <url>
> >
> > Will clone the superproject and all submodules with --no-tags
> > semantics.
> 
> My gut reaction to this is that it is ugly and maybe we should rather have
> a --no-tags[=<repo-spec>].

See my gut reaction to that is: that's ugly :).  The --no-tags option
should just be propagated down (like I mentioned in another thread).

> We have had the discussion for e.g. git-push, for which we would like to
> have a way to specify to push the superproject, or some submodules or
> all of them, or just the superproject and changed submodules,
> such that there we have a "git push --recurse-submodules= \
> [check|on-demand|only|no]" which comes close to what I mean by
> "repo-spec".

This makes more sense to me in terms of pushing...its still not my
favorite ui design but its what we have.

-- 
Brandon Williams